Loading...
Searching...
No Matches
Opm::UDQActive::OutputRecord Class Reference

Single UDA with use counts and IUAP start offsets for restart file output purposes. More...

`#include <UDQActive.hpp>`

## Public Member Functions

| OutputRecord ()
| Default constructor.
| OutputRecord (const std::string &udq_arg, const std::size_t input_index_arg, const std::string &wgname_arg, const UDAControl control_arg)
| Constructor.
bool | operator== (const OutputRecord &other) const
| Equality predicate.
bool | operator!= (const OutputRecord &other) const
| Inequality predicate.
template<class Serializer>
void | serializeOp (Serializer &serializer)
| Convert between byte array and object representation.
const std::string & | wg_name () const
| Name of well/group affected by this UDA.

## Public Attributes

std::string | udq
| Name of UDQ from which this UDA derives its numeric value.
std::size_t | input_index
| Zero-based index in order of appearance of the UDQ use for this UDA.
UDAControl | control
| Constraint keyword and item/limit for which this UDA supplies the numeric value.
int | uda_code {}
| Restart file integer representation of `control`.
std::size_t | use_count {}
| Number of times this UDA is mentioned in this particular combination of constraint keyword and item/limit.

## Detailed Description

Single UDA with use counts and IUAP start offsets for restart file output purposes.

This information is intended to go mostly unaltered into the IUAD restart file array.

## Constructor & Destructor Documentation

## OutputRecord() [1/2]

Opm::UDQActive::OutputRecord::OutputRecord | ( |  | ) |

Default constructor.

Creates an invalid OutputRecord which is mostly usable as a target for a deserialisation operation.

## OutputRecord() [2/2]

Opm::UDQActive::OutputRecord::OutputRecord | ( | const std::string & | udq_arg,
|  | const std::size_t | input_index_arg,
|  | const std::string & | wgname_arg,
|  | const UDAControl | control_arg )

Constructor.

Parameters

  [in] | udq_arg | Name of UDQ from which this UDA derives its numeric value.
  [in] | input_index_arg | Zero-based index in order of appearance of the UDQ use for this UDA.
  [in] | use_index_arg | IUAP array start offset.
  [in] | wgname_arg | Name of well or group affected by this UDA.
  [in] | control_arg | Constraint keyword and item/limit for which this UDA supplies the numeric value.

## Member Function Documentation

## operator!=()

bool Opm::UDQActive::OutputRecord::operator!= | ( | const OutputRecord & | other | ) | const

inline

Inequality predicate.

Parameters

  [in] | other | Object against which will be tested for inequality.

Returns
  Whether or not
  is different from `other`.

## operator==()

bool Opm::UDQActive::OutputRecord::operator== | ( | const OutputRecord & | other | ) | const

Equality predicate.

Parameters

  [in] | other | Object against which will be tested for equality.

Returns
  Whether or not
  is the same as `other`.

## serializeOp()

template<class Serializer>

void Opm::UDQActive::OutputRecord::serializeOp | ( | Serializer & | serializer | ) |

inline

Convert between byte array and object representation.

Template Parameters

  Serializer | Byte array conversion protocol.

Parameters

  [in,out] | serializer | Byte array conversion object.

## wg_name()

const std::string & Opm::UDQActive::OutputRecord::wg_name | ( |  | ) | const

inline

Name of well/group affected by this UDA.

Misleading if the use count is greater than one.

## Member Data Documentation

## use_count

std::size_t Opm::UDQActive::OutputRecord::use_count {}

Number of times this UDA is mentioned in this particular combination of constraint keyword and item/limit.

Effectively, how many wells/groups use this UDA for the same purpose.

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/UDQ/UDQActive.hpp
- opm/input/eclipse/Schedule/UDQ/UDQActive.cpp